<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
    <title>The Studydrive API</title>

    <link href="https://fonts.googleapis.com/css?family=PT+Sans&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="../docs/css/theme-default.style.css" media="screen">
    <link rel="stylesheet" href="../docs/css/theme-default.print.css" media="print">

    <script src="https://cdn.jsdelivr.net/npm/lodash@4.17.10/lodash.min.js"></script>

    <link rel="stylesheet"
          href="https://unpkg.com/@highlightjs/cdn-assets@10.7.2/styles/obsidian.min.css">
    <script src="https://unpkg.com/@highlightjs/cdn-assets@10.7.2/highlight.min.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/jets/0.14.1/jets.min.js"></script>

    <style id="language-style">
        /* starts out as display none and is replaced with js later  */
        body .content .bash-example code {
            display: none;
        }

        body .content .javascript-example code {
            display: none;
        }
    </style>

    <script>
        var baseUrl = "http://localhost:8080";
        var useCsrf = Boolean();
        var csrfUrl = "/sanctum/csrf-cookie";
    </script>
    <script src="../docs/js/tryitout-3.25.0.js"></script>

    <script src="../docs/js/theme-default-3.25.0.js"></script>

</head>

<body data-languages="[&quot;bash&quot;,&quot;javascript&quot;]">

<a href="#" id="nav-button">
    <span>
        MENU
        <img src="../docs/images/navbar.png" alt="navbar-image"/>
    </span>
</a>
<div class="tocify-wrapper">

    <div class="lang-selector">
        <button type="button" class="lang-button" data-language-name="bash">bash</button>
        <button type="button" class="lang-button" data-language-name="javascript">javascript</button>
    </div>

    <div class="search">
        <input type="text" class="search" id="input-search" placeholder="Search">
    </div>

    <div id="toc">
        <ul id="tocify-header-0" class="tocify-header">
            <li class="tocify-item level-1" data-unique="introduction">
                <a href="#introduction">Introduction</a>
            </li>

        </ul>
        <ul id="tocify-header-1" class="tocify-header">
            <li class="tocify-item level-1" data-unique="authenticating-requests">
                <a href="#authenticating-requests">Authenticating requests</a>
            </li>

        </ul>

        <ul id="tocify-header-2" class="tocify-header">
            <li class="tocify-item level-1" data-unique="auth-management">
                <a href="#auth-management">Auth management</a>
            </li>
            <ul id="tocify-subheader-auth-management" class="tocify-subheader">
                <li class="tocify-item level-2" data-unique="auth-management-GETapi-auth-logout">
                    <a href="#auth-management-GETapi-auth-logout">Logout</a>
                </li>
                <li class="tocify-item level-2" data-unique="auth-management-GETapi-auth-me">
                    <a href="#auth-management-GETapi-auth-me">Me</a>
                </li>
                <li class="tocify-item level-2" data-unique="auth-management-POSTapi-auth-change-password">
                    <a href="#auth-management-POSTapi-auth-change-password">Change password</a>
                </li>
                <li class="tocify-item level-2" data-unique="auth-management-POSTapi-auth-login">
                    <a href="#auth-management-POSTapi-auth-login">Login</a>
                </li>
                <li class="tocify-item level-2" data-unique="auth-management-POSTapi-auth-register">
                    <a href="#auth-management-POSTapi-auth-register">Register</a>
                </li>
            </ul>
        </ul>
        <ul id="tocify-header-3" class="tocify-header">
            <li class="tocify-item level-1" data-unique="course-management">
                <a href="#course-management">Course management</a>
            </li>
            <ul id="tocify-subheader-course-management" class="tocify-subheader">
                <li class="tocify-item level-2" data-unique="course-management-GETapi-courses">
                    <a href="#course-management-GETapi-courses">Courses</a>
                </li>
            </ul>
        </ul>
        <ul id="tocify-header-4" class="tocify-header">
            <li class="tocify-item level-1" data-unique="student-management">
                <a href="#student-management">Student management</a>
            </li>
            <ul id="tocify-subheader-student-management" class="tocify-subheader">
                <li class="tocify-item level-2" data-unique="student-management-POSTapi-student-register--course-">
                    <a href="#student-management-POSTapi-student-register--course-">Register</a>
                </li>
            </ul>
        </ul>


    </div>

    <ul class="toc-footer" id="toc-footer">
        <li><a href="../docs/collection.json">View Postman collection</a></li>
        <li><a href="../docs/openapi.yaml">View OpenAPI spec</a></li>
        <li><a href="http://github.com/knuckleswtf/scribe">Documentation powered by Scribe ✍</a></li>
    </ul>
    <ul class="toc-footer" id="last-updated">
        <li>Last updated: March 26 2022</li>
    </ul>
</div>

<div class="page-wrapper">
    <div class="dark-box"></div>
    <div class="content">
        <h1 id="introduction">Introduction</h1>
        <p>This documentation aims to provide all the information you need to work with our API.</p>
        <aside>As you scroll, you'll see code examples for working with the API in different programming languages in
            the dark area to the right (or as part of the content on mobile).
            You can switch the language used with the tabs at the top right (or from the nav menu at the top left on
            mobile).
        </aside>
        <blockquote>
            <p>Base URL</p>
        </blockquote>
        <pre><code class="language-yaml">http://localhost:8080</code></pre>

        <h1 id="authenticating-requests">Authenticating requests</h1>
        <p>To authenticate requests, include an <strong><code>Authorization</code></strong> header with the value
            <strong><code>"Bearer {ACCESS_TOKEN}"</code></strong>.</p>
        <p>All authenticated endpoints are marked with a <code>requires authentication</code> badge in the documentation
            below.</p>
        <p>You can retrieve your token by visiting your dashboard and clicking <b>Generate API token</b>.</p>

        <h1 id="auth-management">Auth management</h1>

        <p>APIs for login, register and all about auth</p>

        <h2 id="auth-management-GETapi-auth-logout">Logout</h2>

        <p>
            <small class="badge badge-darkred">requires authentication</small>
        </p>

        <p>This endpoint lets student to logout</p>

        <span id="example-requests-GETapi-auth-logout">
<blockquote>Example request:</blockquote>


<div class="bash-example">
    <pre><code class="language-bash">curl --request GET \
    --get "http://localhost:8080/api/auth/logout" \
    --header "Authorization: Bearer {ACCESS_TOKEN}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"</code></pre></div>


<div class="javascript-example">
    <pre><code class="language-javascript">const url = new URL(
    "http://localhost:8080/api/auth/logout"
);

const headers = {
    "Authorization": "Bearer {ACCESS_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre></div>

</span>

        <span id="example-responses-GETapi-auth-logout">
            <blockquote>
            <p>Example response (200):</p>
        </blockquote>
                <pre>

<code class="language-json">{
    &quot;result&quot;: true,
    &quot;status_code&quot;: 200,
    &quot;message&quot;: &quot;Successfully logged out&quot;,
    &quot;data&quot;: null
}</code>
 </pre>
    </span>
        <span id="execution-results-GETapi-auth-logout" hidden>
    <blockquote>Received response<span
        id="execution-response-status-GETapi-auth-logout"></span>:
    </blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-auth-logout"></code></pre>
</span>
        <span id="execution-error-GETapi-auth-logout" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-auth-logout"></code></pre>
</span>
        <form id="form-GETapi-auth-logout" data-method="GET"
              data-path="api/auth/logout"
              data-authed="1"
              data-hasfiles="0"
              data-isarraybody="0"
              data-headers='{"Authorization":"Bearer {ACCESS_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}'
              autocomplete="off"
              onsubmit="event.preventDefault(); executeTryOut('GETapi-auth-logout', this);">
            <h3>
                Request&nbsp;&nbsp;&nbsp;
                <button type="button"
                        style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-tryout-GETapi-auth-logout"
                        onclick="tryItOut('GETapi-auth-logout');">Try it out ⚡
                </button>
                <button type="button"
                        style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-canceltryout-GETapi-auth-logout"
                        onclick="cancelTryOut('GETapi-auth-logout');" hidden>Cancel 🛑
                </button>&nbsp;&nbsp;
                <button type="submit"
                        style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-executetryout-GETapi-auth-logout" hidden>Send Request 💥
                </button>
            </h3>
            <p>
                <small class="badge badge-green">GET</small>
                <b><code>api/auth/logout</code></b>
            </p>
            <p>
                <label id="auth-GETapi-auth-logout" hidden>Authorization header:
                    <b><code>Bearer </code></b><input type="text"
                                                      name="Authorization"
                                                      data-prefix="Bearer "
                                                      data-endpoint="GETapi-auth-logout"
                                                      data-component="header"></label>
            </p>
        </form>

        <h2 id="auth-management-GETapi-auth-me">Me</h2>

        <p>
            <small class="badge badge-darkred">requires authentication</small>
        </p>

        <p>This endpoint lets student to get his information</p>

        <span id="example-requests-GETapi-auth-me">
<blockquote>Example request:</blockquote>


<div class="bash-example">
    <pre><code class="language-bash">curl --request GET \
    --get "http://localhost:8080/api/auth/me" \
    --header "Authorization: Bearer {ACCESS_TOKEN}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"</code></pre></div>


<div class="javascript-example">
    <pre><code class="language-javascript">const url = new URL(
    "http://localhost:8080/api/auth/me"
);

const headers = {
    "Authorization": "Bearer {ACCESS_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre></div>

</span>

        <span id="example-responses-GETapi-auth-me">
            <blockquote>
            <p>Example response (200):</p>
        </blockquote>
                <pre>

<code class="language-json">{
    &quot;result&quot;: true,
    &quot;status_code&quot;: 200,
    &quot;message&quot;: null,
    &quot;data&quot;: {
        &quot;id&quot;: 1,
        &quot;name&quot;: &quot;Marilou Padberg II&quot;,
        &quot;email&quot;: &quot;camila53@example.com&quot;,
        &quot;created_at&quot;: &quot;2022-03-25T20:58:28.000000Z&quot;,
        &quot;updated_at&quot;: &quot;2022-03-25T20:58:28.000000Z&quot;
    }
}</code>
 </pre>
    </span>
        <span id="execution-results-GETapi-auth-me" hidden>
    <blockquote>Received response<span
        id="execution-response-status-GETapi-auth-me"></span>:
    </blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-auth-me"></code></pre>
</span>
        <span id="execution-error-GETapi-auth-me" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-auth-me"></code></pre>
</span>
        <form id="form-GETapi-auth-me" data-method="GET"
              data-path="api/auth/me"
              data-authed="1"
              data-hasfiles="0"
              data-isarraybody="0"
              data-headers='{"Authorization":"Bearer {ACCESS_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}'
              autocomplete="off"
              onsubmit="event.preventDefault(); executeTryOut('GETapi-auth-me', this);">
            <h3>
                Request&nbsp;&nbsp;&nbsp;
                <button type="button"
                        style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-tryout-GETapi-auth-me"
                        onclick="tryItOut('GETapi-auth-me');">Try it out ⚡
                </button>
                <button type="button"
                        style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-canceltryout-GETapi-auth-me"
                        onclick="cancelTryOut('GETapi-auth-me');" hidden>Cancel 🛑
                </button>&nbsp;&nbsp;
                <button type="submit"
                        style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-executetryout-GETapi-auth-me" hidden>Send Request 💥
                </button>
            </h3>
            <p>
                <small class="badge badge-green">GET</small>
                <b><code>api/auth/me</code></b>
            </p>
            <p>
                <label id="auth-GETapi-auth-me" hidden>Authorization header:
                    <b><code>Bearer </code></b><input type="text"
                                                      name="Authorization"
                                                      data-prefix="Bearer "
                                                      data-endpoint="GETapi-auth-me"
                                                      data-component="header"></label>
            </p>
        </form>

        <h2 id="auth-management-POSTapi-auth-change-password">Change password</h2>

        <p>
            <small class="badge badge-darkred">requires authentication</small>
        </p>

        <p>This endpoint lets student to change password</p>

        <span id="example-requests-POSTapi-auth-change-password">
<blockquote>Example request:</blockquote>


<div class="bash-example">
    <pre><code class="language-bash">curl --request POST \
    "http://localhost:8080/api/auth/change-password" \
    --header "Authorization: Bearer {ACCESS_TOKEN}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"current_password\": \"\",
    \"new_password\": \"by\"
}"
</code></pre></div>


<div class="javascript-example">
    <pre><code class="language-javascript">const url = new URL(
    "http://localhost:8080/api/auth/change-password"
);

const headers = {
    "Authorization": "Bearer {ACCESS_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "current_password": "",
    "new_password": "by"
};

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre></div>

</span>

        <span id="example-responses-POSTapi-auth-change-password">
            <blockquote>
            <p>Example response (200):</p>
        </blockquote>
                <pre>

<code class="language-json">{
    &quot;result&quot;: true,
    &quot;status_code&quot;: 200,
    &quot;message&quot;: &quot;User's password updated successfully.&quot;,
    &quot;data&quot;: null
}</code>
 </pre>
    </span>
        <span id="execution-results-POSTapi-auth-change-password" hidden>
    <blockquote>Received response<span
        id="execution-response-status-POSTapi-auth-change-password"></span>:
    </blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-auth-change-password"></code></pre>
</span>
        <span id="execution-error-POSTapi-auth-change-password" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-auth-change-password"></code></pre>
</span>
        <form id="form-POSTapi-auth-change-password" data-method="POST"
              data-path="api/auth/change-password"
              data-authed="1"
              data-hasfiles="0"
              data-isarraybody="0"
              data-headers='{"Authorization":"Bearer {ACCESS_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}'
              autocomplete="off"
              onsubmit="event.preventDefault(); executeTryOut('POSTapi-auth-change-password', this);">
            <h3>
                Request&nbsp;&nbsp;&nbsp;
                <button type="button"
                        style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-tryout-POSTapi-auth-change-password"
                        onclick="tryItOut('POSTapi-auth-change-password');">Try it out ⚡
                </button>
                <button type="button"
                        style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-canceltryout-POSTapi-auth-change-password"
                        onclick="cancelTryOut('POSTapi-auth-change-password');" hidden>Cancel 🛑
                </button>&nbsp;&nbsp;
                <button type="submit"
                        style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-executetryout-POSTapi-auth-change-password" hidden>Send Request 💥
                </button>
            </h3>
            <p>
                <small class="badge badge-black">POST</small>
                <b><code>api/auth/change-password</code></b>
            </p>
            <p>
                <label id="auth-POSTapi-auth-change-password" hidden>Authorization header:
                    <b><code>Bearer </code></b><input type="text"
                                                      name="Authorization"
                                                      data-prefix="Bearer "
                                                      data-endpoint="POSTapi-auth-change-password"
                                                      data-component="header"></label>
            </p>
            <h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
            <p>
                <b><code>current_password</code></b>&nbsp;&nbsp;<small>string</small> &nbsp;
                <input type="text"
                       name="current_password"
                       data-endpoint="POSTapi-auth-change-password"
                       value=""
                       data-component="body" hidden>
                <br>
            <p>Must be at least 6 characters.</p>
            </p>
            <p>
                <b><code>new_password</code></b>&nbsp;&nbsp;<small>string</small> &nbsp;
                <input type="text"
                       name="new_password"
                       data-endpoint="POSTapi-auth-change-password"
                       value="by"
                       data-component="body" hidden>
                <br>
            <p>Must be at least 6 characters.</p>
            </p>
        </form>

        <h2 id="auth-management-POSTapi-auth-login">Login</h2>

        <p>
        </p>

        <p>This endpoint lets you to login with specific student</p>

        <span id="example-requests-POSTapi-auth-login">
<blockquote>Example request:</blockquote>


<div class="bash-example">
    <pre><code class="language-bash">curl --request POST \
    "http://localhost:8080/api/auth/login" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"email\": \"marielle.murphy@example.com\",
    \"password\": \"iure\"
}"
</code></pre></div>


<div class="javascript-example">
    <pre><code class="language-javascript">const url = new URL(
    "http://localhost:8080/api/auth/login"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "email": "marielle.murphy@example.com",
    "password": "iure"
};

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre></div>

</span>

        <span id="example-responses-POSTapi-auth-login">
            <blockquote>
            <p>Example response (200):</p>
        </blockquote>
                <pre>

<code class="language-json">{
    &quot;result&quot;: true,
    &quot;status_code&quot;: 200,
    &quot;message&quot;: null,
    &quot;data&quot;: {
        &quot;access_token&quot;: &quot;1|y4PSKAdnQXfegIiqmpOzvklB2EzaDnHwHlky2rII&quot;,
        &quot;token_type&quot;: &quot;Bearer&quot;,
        &quot;expires_in&quot;: 60,
        &quot;me&quot;: {
            &quot;id&quot;: 1,
            &quot;name&quot;: &quot;Lexie Hilpert III&quot;,
            &quot;email&quot;: &quot;wintheiser.emely@howe.com&quot;,
            &quot;created_at&quot;: &quot;2022-03-25T20:36:34.000000Z&quot;,
            &quot;updated_at&quot;: &quot;2022-03-25T20:36:34.000000Z&quot;
        }
    }
}</code>
 </pre>
    </span>
        <span id="execution-results-POSTapi-auth-login" hidden>
    <blockquote>Received response<span
        id="execution-response-status-POSTapi-auth-login"></span>:
    </blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-auth-login"></code></pre>
</span>
        <span id="execution-error-POSTapi-auth-login" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-auth-login"></code></pre>
</span>
        <form id="form-POSTapi-auth-login" data-method="POST"
              data-path="api/auth/login"
              data-authed="0"
              data-hasfiles="0"
              data-isarraybody="0"
              data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}'
              autocomplete="off"
              onsubmit="event.preventDefault(); executeTryOut('POSTapi-auth-login', this);">
            <h3>
                Request&nbsp;&nbsp;&nbsp;
                <button type="button"
                        style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-tryout-POSTapi-auth-login"
                        onclick="tryItOut('POSTapi-auth-login');">Try it out ⚡
                </button>
                <button type="button"
                        style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-canceltryout-POSTapi-auth-login"
                        onclick="cancelTryOut('POSTapi-auth-login');" hidden>Cancel 🛑
                </button>&nbsp;&nbsp;
                <button type="submit"
                        style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-executetryout-POSTapi-auth-login" hidden>Send Request 💥
                </button>
            </h3>
            <p>
                <small class="badge badge-black">POST</small>
                <b><code>api/auth/login</code></b>
            </p>
            <h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
            <p>
                <b><code>email</code></b>&nbsp;&nbsp;<small>string</small> &nbsp;
                <input type="text"
                       name="email"
                       data-endpoint="POSTapi-auth-login"
                       value="marielle.murphy@example.com"
                       data-component="body" hidden>
                <br>
            <p>Must be a valid email address.</p>
            </p>
            <p>
                <b><code>password</code></b>&nbsp;&nbsp;<small>string</small> &nbsp;
                <input type="text"
                       name="password"
                       data-endpoint="POSTapi-auth-login"
                       value="iure"
                       data-component="body" hidden>
                <br>

            </p>
        </form>

        <h2 id="auth-management-POSTapi-auth-register">Register</h2>

        <p>
        </p>

        <p>This endpoint lets student to register new account</p>

        <span id="example-requests-POSTapi-auth-register">
<blockquote>Example request:</blockquote>


<div class="bash-example">
    <pre><code class="language-bash">curl --request POST \
    "http://localhost:8080/api/auth/register" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json" \
    --data "{
    \"name\": \"kjskzxgqrottwhdjdxnzxuplpeovrsfuubqdsuefmgmfkpcozuydxhufyvovykqfcccjdgadqooxtxdvuuaugbpeqduphyeoqvulswekwftzssxzcwgverpgybiidoztpbotojbkaidgseihqtqqampysjoawbzrhysfapatzekrpldsankykelahoolzdnmqcibzarqwbilpdsjgkzsznzcqnrhwisulrbsd\",
    \"email\": \"helena42@example.net\",
    \"password\": \"eug\"
}"
</code></pre></div>


<div class="javascript-example">
    <pre><code class="language-javascript">const url = new URL(
    "http://localhost:8080/api/auth/register"
);

const headers = {
    "Content-Type": "application/json",
    "Accept": "application/json",
};

let body = {
    "name": "kjskzxgqrottwhdjdxnzxuplpeovrsfuubqdsuefmgmfkpcozuydxhufyvovykqfcccjdgadqooxtxdvuuaugbpeqduphyeoqvulswekwftzssxzcwgverpgybiidoztpbotojbkaidgseihqtqqampysjoawbzrhysfapatzekrpldsankykelahoolzdnmqcibzarqwbilpdsjgkzsznzcqnrhwisulrbsd",
    "email": "helena42@example.net",
    "password": "eug"
};

fetch(url, {
    method: "POST",
    headers,
    body: JSON.stringify(body),
}).then(response =&gt; response.json());</code></pre></div>

</span>

        <span id="example-responses-POSTapi-auth-register">
            <blockquote>
            <p>Example response (200):</p>
        </blockquote>
                <pre>

<code class="language-json">{
    &quot;result&quot;: true,
    &quot;status_code&quot;: 200,
    &quot;message&quot;: &quot;Register successfully&quot;,
    &quot;data&quot;: null
}</code>
 </pre>
    </span>
        <span id="execution-results-POSTapi-auth-register" hidden>
    <blockquote>Received response<span
        id="execution-response-status-POSTapi-auth-register"></span>:
    </blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-auth-register"></code></pre>
</span>
        <span id="execution-error-POSTapi-auth-register" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-auth-register"></code></pre>
</span>
        <form id="form-POSTapi-auth-register" data-method="POST"
              data-path="api/auth/register"
              data-authed="0"
              data-hasfiles="0"
              data-isarraybody="0"
              data-headers='{"Content-Type":"application\/json","Accept":"application\/json"}'
              autocomplete="off"
              onsubmit="event.preventDefault(); executeTryOut('POSTapi-auth-register', this);">
            <h3>
                Request&nbsp;&nbsp;&nbsp;
                <button type="button"
                        style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-tryout-POSTapi-auth-register"
                        onclick="tryItOut('POSTapi-auth-register');">Try it out ⚡
                </button>
                <button type="button"
                        style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-canceltryout-POSTapi-auth-register"
                        onclick="cancelTryOut('POSTapi-auth-register');" hidden>Cancel 🛑
                </button>&nbsp;&nbsp;
                <button type="submit"
                        style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-executetryout-POSTapi-auth-register" hidden>Send Request 💥
                </button>
            </h3>
            <p>
                <small class="badge badge-black">POST</small>
                <b><code>api/auth/register</code></b>
            </p>
            <h4 class="fancy-heading-panel"><b>Body Parameters</b></h4>
            <p>
                <b><code>name</code></b>&nbsp;&nbsp;<small>string</small> &nbsp;
                <input type="text"
                       name="name"
                       data-endpoint="POSTapi-auth-register"
                       value="kjskzxgqrottwhdjdxnzxuplpeovrsfuubqdsuefmgmfkpcozuydxhufyvovykqfcccjdgadqooxtxdvuuaugbpeqduphyeoqvulswekwftzssxzcwgverpgybiidoztpbotojbkaidgseihqtqqampysjoawbzrhysfapatzekrpldsankykelahoolzdnmqcibzarqwbilpdsjgkzsznzcqnrhwisulrbsd"
                       data-component="body" hidden>
                <br>
            <p>Must not be greater than 255 characters.</p>
            </p>
            <p>
                <b><code>email</code></b>&nbsp;&nbsp;<small>string</small> &nbsp;
                <input type="text"
                       name="email"
                       data-endpoint="POSTapi-auth-register"
                       value="helena42@example.net"
                       data-component="body" hidden>
                <br>
            <p>Must be a valid email address.</p>
            </p>
            <p>
                <b><code>password</code></b>&nbsp;&nbsp;<small>string</small> &nbsp;
                <input type="text"
                       name="password"
                       data-endpoint="POSTapi-auth-register"
                       value="eug"
                       data-component="body" hidden>
                <br>
            <p>Must be at least 6 characters.</p>
            </p>
        </form>

        <h1 id="course-management">Course management</h1>

        <p>APIs for Course</p>

        <h2 id="course-management-GETapi-courses">Courses</h2>

        <p>
            <small class="badge badge-darkred">requires authentication</small>
        </p>

        <p>This endpoint lets student to show courses</p>

        <span id="example-requests-GETapi-courses">
<blockquote>Example request:</blockquote>


<div class="bash-example">
    <pre><code class="language-bash">curl --request GET \
    --get "http://localhost:8080/api/courses?page=6&amp;per_page=1" \
    --header "Authorization: Bearer {ACCESS_TOKEN}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"</code></pre></div>


<div class="javascript-example">
    <pre><code class="language-javascript">const url = new URL(
    "http://localhost:8080/api/courses"
);

const params = {
    "page": "6",
    "per_page": "1",
};
Object.keys(params)
    .forEach(key =&gt; url.searchParams.append(key, params[key]));

const headers = {
    "Authorization": "Bearer {ACCESS_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "GET",
    headers,
}).then(response =&gt; response.json());</code></pre></div>

</span>

        <span id="example-responses-GETapi-courses">
            <blockquote>
            <p>Example response (200):</p>
        </blockquote>
                <pre>

<code class="language-json">{
    &quot;data&quot;: [
        {
            &quot;id&quot;: 6,
            &quot;capacity&quot;: 3,
            &quot;status&quot;: &quot;Available&quot;,
            &quot;created_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;,
            &quot;updated_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;
        },
        {
            &quot;id&quot;: 7,
            &quot;capacity&quot;: 4,
            &quot;status&quot;: &quot;Available&quot;,
            &quot;created_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;,
            &quot;updated_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;
        },
        {
            &quot;id&quot;: 8,
            &quot;capacity&quot;: 5,
            &quot;status&quot;: &quot;Available&quot;,
            &quot;created_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;,
            &quot;updated_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;
        },
        {
            &quot;id&quot;: 9,
            &quot;capacity&quot;: 8,
            &quot;status&quot;: &quot;Available&quot;,
            &quot;created_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;,
            &quot;updated_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;
        },
        {
            &quot;id&quot;: 10,
            &quot;capacity&quot;: 6,
            &quot;status&quot;: &quot;Available&quot;,
            &quot;created_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;,
            &quot;updated_at&quot;: &quot;2022-03-25T21:23:15.000000Z&quot;
        }
    ],
    &quot;links&quot;: {
        &quot;first&quot;: &quot;http://localhost/api/courses?page=1&quot;,
        &quot;last&quot;: &quot;http://localhost/api/courses?page=4&quot;,
        &quot;prev&quot;: &quot;http://localhost/api/courses?page=1&quot;,
        &quot;next&quot;: &quot;http://localhost/api/courses?page=3&quot;
    },
    &quot;meta&quot;: {
        &quot;current_page&quot;: 2,
        &quot;from&quot;: 6,
        &quot;last_page&quot;: 4,
        &quot;links&quot;: [
            {
                &quot;url&quot;: &quot;http://localhost/api/courses?page=1&quot;,
                &quot;label&quot;: &quot;&amp;laquo; Previous&quot;,
                &quot;active&quot;: false
            },
            {
                &quot;url&quot;: &quot;http://localhost/api/courses?page=1&quot;,
                &quot;label&quot;: &quot;1&quot;,
                &quot;active&quot;: false
            },
            {
                &quot;url&quot;: &quot;http://localhost/api/courses?page=2&quot;,
                &quot;label&quot;: &quot;2&quot;,
                &quot;active&quot;: true
            },
            {
                &quot;url&quot;: &quot;http://localhost/api/courses?page=3&quot;,
                &quot;label&quot;: &quot;3&quot;,
                &quot;active&quot;: false
            },
            {
                &quot;url&quot;: &quot;http://localhost/api/courses?page=4&quot;,
                &quot;label&quot;: &quot;4&quot;,
                &quot;active&quot;: false
            },
            {
                &quot;url&quot;: &quot;http://localhost/api/courses?page=3&quot;,
                &quot;label&quot;: &quot;Next &amp;raquo;&quot;,
                &quot;active&quot;: false
            }
        ],
        &quot;path&quot;: &quot;http://localhost/api/courses&quot;,
        &quot;per_page&quot;: 5,
        &quot;to&quot;: 10,
        &quot;total&quot;: 20
    }
}</code>
 </pre>
    </span>
        <span id="execution-results-GETapi-courses" hidden>
    <blockquote>Received response<span
        id="execution-response-status-GETapi-courses"></span>:
    </blockquote>
    <pre class="json"><code id="execution-response-content-GETapi-courses"></code></pre>
</span>
        <span id="execution-error-GETapi-courses" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-GETapi-courses"></code></pre>
</span>
        <form id="form-GETapi-courses" data-method="GET"
              data-path="api/courses"
              data-authed="1"
              data-hasfiles="0"
              data-isarraybody="0"
              data-headers='{"Authorization":"Bearer {ACCESS_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}'
              autocomplete="off"
              onsubmit="event.preventDefault(); executeTryOut('GETapi-courses', this);">
            <h3>
                Request&nbsp;&nbsp;&nbsp;
                <button type="button"
                        style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-tryout-GETapi-courses"
                        onclick="tryItOut('GETapi-courses');">Try it out ⚡
                </button>
                <button type="button"
                        style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-canceltryout-GETapi-courses"
                        onclick="cancelTryOut('GETapi-courses');" hidden>Cancel 🛑
                </button>&nbsp;&nbsp;
                <button type="submit"
                        style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-executetryout-GETapi-courses" hidden>Send Request 💥
                </button>
            </h3>
            <p>
                <small class="badge badge-green">GET</small>
                <b><code>api/courses</code></b>
            </p>
            <p>
                <label id="auth-GETapi-courses" hidden>Authorization header:
                    <b><code>Bearer </code></b><input type="text"
                                                      name="Authorization"
                                                      data-prefix="Bearer "
                                                      data-endpoint="GETapi-courses"
                                                      data-component="header"></label>
            </p>
            <h4 class="fancy-heading-panel"><b>Query Parameters</b></h4>
            <p>
                <b><code>page</code></b>&nbsp;&nbsp;<small>integer</small> <i>optional</i> &nbsp;
                <input type="number"
                       name="page"
                       data-endpoint="GETapi-courses"
                       value="6"
                       data-component="query" hidden>
                <br>
            <p>Field to get specific page. Defaults to 1.</p>
            </p>
            <p>
                <b><code>per_page</code></b>&nbsp;&nbsp;<small>integer</small> <i>optional</i> &nbsp;
                <input type="number"
                       name="per_page"
                       data-endpoint="GETapi-courses"
                       value="1"
                       data-component="query" hidden>
                <br>
            <p>Field to get specific count per page. Defaults to 25.</p>
            </p>
        </form>

        <h1 id="student-management">Student management</h1>

        <p>APIs for Student</p>

        <h2 id="student-management-POSTapi-student-register--course-">Register</h2>

        <p>
            <small class="badge badge-darkred">requires authentication</small>
        </p>

        <p>This endpoint lets student to register for specific course</p>

        <span id="example-requests-POSTapi-student-register--course-">
<blockquote>Example request:</blockquote>


<div class="bash-example">
    <pre><code class="language-bash">curl --request POST \
    "http://localhost:8080/api/student/register/7" \
    --header "Authorization: Bearer {ACCESS_TOKEN}" \
    --header "Content-Type: application/json" \
    --header "Accept: application/json"</code></pre></div>


<div class="javascript-example">
    <pre><code class="language-javascript">const url = new URL(
    "http://localhost:8080/api/student/register/7"
);

const headers = {
    "Authorization": "Bearer {ACCESS_TOKEN}",
    "Content-Type": "application/json",
    "Accept": "application/json",
};

fetch(url, {
    method: "POST",
    headers,
}).then(response =&gt; response.json());</code></pre></div>

</span>

        <span id="example-responses-POSTapi-student-register--course-">
            <blockquote>
            <p>Example response (200):</p>
        </blockquote>
                <pre>

<code class="language-json">{
    &quot;result&quot;: true,
    &quot;status_code&quot;: 200,
    &quot;message&quot;: &quot;Successfully register for course.&quot;,
    &quot;data&quot;: null
}</code>
 </pre>
    </span>
        <span id="execution-results-POSTapi-student-register--course-" hidden>
    <blockquote>Received response<span
        id="execution-response-status-POSTapi-student-register--course-"></span>:
    </blockquote>
    <pre class="json"><code id="execution-response-content-POSTapi-student-register--course-"></code></pre>
</span>
        <span id="execution-error-POSTapi-student-register--course-" hidden>
    <blockquote>Request failed with error:</blockquote>
    <pre><code id="execution-error-message-POSTapi-student-register--course-"></code></pre>
</span>
        <form id="form-POSTapi-student-register--course-" data-method="POST"
              data-path="api/student/register/{course}"
              data-authed="1"
              data-hasfiles="0"
              data-isarraybody="0"
              data-headers='{"Authorization":"Bearer {ACCESS_TOKEN}","Content-Type":"application\/json","Accept":"application\/json"}'
              autocomplete="off"
              onsubmit="event.preventDefault(); executeTryOut('POSTapi-student-register--course-', this);">
            <h3>
                Request&nbsp;&nbsp;&nbsp;
                <button type="button"
                        style="background-color: #8fbcd4; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-tryout-POSTapi-student-register--course-"
                        onclick="tryItOut('POSTapi-student-register--course-');">Try it out ⚡
                </button>
                <button type="button"
                        style="background-color: #c97a7e; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-canceltryout-POSTapi-student-register--course-"
                        onclick="cancelTryOut('POSTapi-student-register--course-');" hidden>Cancel 🛑
                </button>&nbsp;&nbsp;
                <button type="submit"
                        style="background-color: #6ac174; padding: 5px 10px; border-radius: 5px; border-width: thin;"
                        id="btn-executetryout-POSTapi-student-register--course-" hidden>Send Request 💥
                </button>
            </h3>
            <p>
                <small class="badge badge-black">POST</small>
                <b><code>api/student/register/{course}</code></b>
            </p>
            <p>
                <label id="auth-POSTapi-student-register--course-" hidden>Authorization header:
                    <b><code>Bearer </code></b><input type="text"
                                                      name="Authorization"
                                                      data-prefix="Bearer "
                                                      data-endpoint="POSTapi-student-register--course-"
                                                      data-component="header"></label>
            </p>
            <h4 class="fancy-heading-panel"><b>URL Parameters</b></h4>
            <p>
                <b><code>course</code></b>&nbsp;&nbsp;<small>integer</small> &nbsp;
                <input type="number"
                       name="course"
                       data-endpoint="POSTapi-student-register--course-"
                       value="7"
                       data-component="url" hidden>
                <br>
            <p>The ID of the course.</p>
            </p>
        </form>


    </div>
    <div class="dark-box">
        <div class="lang-selector">
            <button type="button" class="lang-button" data-language-name="bash">bash</button>
            <button type="button" class="lang-button" data-language-name="javascript">javascript</button>
        </div>
    </div>
</div>
</body>
</html>
